/********************************************************************
 FileName:    	IO.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    IO header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             JCOG
  2.0   Updated with [VD] HammerHead libraries      JCOG

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/
#ifndef GPIO_H
#define	GPIO_H

void IO_Init          (void);
void IO_PWMinit       (void);
void IO_SPIinit       (void);
void IO_SPIsendByte   (BYTE data);
BYTE IO_SPIreadByte   (void);
void IO_I2Cinit       (void);
void IO_I2Cstart      (void);
void IO_I2Cstop       (void);
void IO_I2CsendByte   (BYTE data);
BYTE IO_I2CreadByte   (BOOL ack);
void IO_I2CsendNACK   (void);

#endif	/* GPIO_H */

